Subject: bug#28763: docbug (stat -t): missing field names in docs(manpage) for 'stat -t'

From: Assaf Gordon <[email-masked]>
Date: Mon, 9 Oct 2017 13:38:26 -0600

Hello,

On 2017-10-09 12:59 PM, L A Walsh wrote:
> I typed stat -t to look at the terse form of 'stat', and see
> a bunch of numbers -- but nowhere do I see what those numbers
> are suppose to be (i.e. they aren't documented in the manpage
> and they obviously aren't the same as what is in the non-terse display).

The "--terse" format is documented in the info manual,
available either with "info stat" or online [1].

[1]
https://www.gnu.org/software/coreutils/manual/html_node/stat-invocation.html#index-terse-output

Note that it has two output formats, one for filesystems (when using
"-f") and the other for file/directories.

This is a (somewhat) recent addition by Bernhard Voelker
in 2014 [2] , so if you have coreutils version 8.23 or older installed,
it might not appear in the local "info" manual.

[2] https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=b020002b

I also see in the code itself that if SELinux is enabled
an additional "%C" is appended at the end of the format [3]
(though that is not mentioned in the manual).

[3] https://opengrok.housegordon.com/source/xref/coreutils/src/stat.c#1393

Perhaps it's worth mentioning in the help-screen/man-page that the
full format is available in info/online ? What do others think?

Regards,
 - assaf